# pyFTS.models.incremental package — pyFTS 1.4 documentation

# pyFTS.models.incremental package

## Module contents

FTS methods with incremental/online learning

## Submodules

## pyFTS.models.incremental.TimeVariant module

Meta model that wraps another FTS method and continously retrain it using a data window with the most recent data

class `pyFTS.models.incremental.TimeVariant.``Retrainer`(**kwargs)

  Bases: `pyFTS.common.fts.FTS`

  Meta model for incremental/online learning

  `auto_update` = None

    If true the model is updated at each time and not recreated

  `batch_size` = None

    The batch interval between each retraining

  `forecast`(data, **kwargs)

    Point forecast one step ahead

    Parameters:

    - data – time series data with the minimal length equal to the max_lag of the model
    - kwargs – model specific parameters

    Returns: | a list with the forecasted values

  `fts_method` = None

    The FTS method to be called when a new model is build

  `fts_params` = None

    The FTS method specific parameters

  `model` = None

    The most recent trained model

  `partitioner` = None

    The most recent trained partitioner

  `partitioner_method` = None

    The partitioner method to be called when a new model is build

  `partitioner_params` = None

    The partitioner method parameters

  `train`(data, **kwargs)

    Method specific parameter fitting

    Parameters:

    - data – training time series data
    - kwargs – Method specific parameters

  `window_length` = None

    The memory window length

## pyFTS.models.incremental.IncrementalEnsemble module

Time Variant/Incremental Ensemble of FTS methods

class `pyFTS.models.incremental.IncrementalEnsemble.``IncrementalEnsembleFTS`(**kwargs)

  Bases: `pyFTS.models.ensemble.ensemble.EnsembleFTS`

  Time Variant/Incremental Ensemble of FTS methods

  `batch_size` = None

    The batch interval between each retraining

  `forecast`(data, **kwargs)

    Point forecast one step ahead

    Parameters:

    - data – time series data with the minimal length equal to the max_lag of the model
    - kwargs – model specific parameters

    Returns: | a list with the forecasted values

  `fts_method` = None

    The FTS method to be called when a new model is build

  `fts_params` = None

    The FTS method specific parameters

  `partitioner_method` = None

    The partitioner method to be called when a new model is build

  `partitioner_params` = None

    The partitioner method parameters

  `train`(data, **kwargs)

    Method specific parameter fitting

    Parameters:

    - data – training time series data
    - kwargs – Method specific parameters

  `window_length` = None

    The memory window length